Embedded layers in groups cannot be moved
Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15853

Description

When embedding layers from an outside project, layers that are not in groups can be re-ordered in the map legend. If layers are inside a

group, they cannot be re-ordered.

Because embedded layers are treated something analogous to symbolic links inside a project, dependent on properties defined in the

outside project file, it is not entirely clear if these layers should all be re-orderable or if they should be locked to the order of the original

project from which they were embedded.

A decision on consistency and purpose needs to be made on this behavior so all layers, grouped or otherwise, can be re-ordered, or all

layers should be locked and unavailable to re-order in the map canvas. This decision probably needs to be made based on whether or not

the order is reset to the original project file when a project with embedded layers is subsequently reopened, or if only the properties are

picked up for those layers when reopened.

History

#1 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
